/* TestDataSource.m created by mlaster on Thu 15-Jul-1999 */

#import "TestDataSource.h"

@implementation TestDataSource

+ (void)load
{
    [StockDataSource registerDataSource:[self description]];
}

- (void) update
{
    unsigned int i=0;
    NSArray *keys=nil;
    NSMutableDictionary *statDict = nil;
    NSMutableDictionary *stock = nil;
    
    NSLog(@"TRACE: -[TestDataSource update]");
    statDict = [self statDictionary];
    NSLog(@"statDictionary=[%@]", statDict);
    keys = [statDict allKeys];
    for (i=0;i<[keys count];i++)
    {	
        stock = [statDict objectForKey:[keys objectAtIndex:i]];
        NSLog(@"stock=[%@]", stock);
        [stock setObject:[NSNumber numberWithFloat:55.125] forKey:@"Price"];
        [stock setObject:[NSNumber numberWithInt:1000000] forKey:@"Volume"];
        NSLog(@"new stock=[%@]", stock);
    }
    NSLog(@"statDict=[%@]", statDict);
}

@end
