/* MLMarqueeView.h created by mlaster on Sat 10-Jul-1999 */

#import <AppKit/NSScrollView.h>

@interface MLMarqueeView : NSScrollView
{
    @private
    unsigned offset;
    unsigned maxOffset;
    unsigned pixelShift;
    NSTimeInterval period;
    NSColor *backgroundColor;
    NSAttributedString *attributedString;
}

- (void) setAttributedString:(NSAttributedString *)aString;

- (NSColor *) backgroundColor;
- (void) setBackgroundColor:(NSColor *)aColor;

// speed control
- (unsigned) pixelsPerCycle;
- (void) setPixelsPerCycle:(unsigned) pixels;
- (NSTimeInterval) animationPeriod;
- (void) setAnimationPeriod:(NSTimeInterval)aTimeInterval;
@end
